### Enumeration

# Fwupd GuidFlags

unstable since: 2.0

#### Declaration

    flags Fwupd.GuidFlags

#### Description [src]

The flags to show how the data should be converted.

Available since: 2.0

#### Members

`FWUPD_GUID_FLAG_NONE`

  No trust.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_GUID_FLAG_NAMESPACE_MICROSOFT`

  Use the Microsoft-compatible namespace.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`FWUPD_GUID_FLAG_MIXED_ENDIAN`

  Use EFI mixed endian representation.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0